PAC(8)

NAME
pac - printer/plotter accounting information

SYNOPSIS
pac [-cmrs] [-Pprinter] [-pprice] [user ...]

DESCRIPTION
pac reads the printer/plotter accounting files, accumulating the number of pages (the usual case) or feet (for raster devices) of paper consumed by each named user, and prints out how much each user consumed in pages or feet and dollars.

When no user arguments are given, statistics are printed for every user who has used any paper.

The options are as follows:

-Pprinter
    Accounting is done for the named printer. Normally, accounting is done for the default printer (site dependent) or the value of the environment variable PRINTER is used.

-c  Causes the output to be sorted by cost; usually the output is sorted alphabetically by name.

-m  Causes the host name to be ignored in the accounting file. This allows for a user on multiple machines to have all of his printing charges grouped together.

-pprice
    The value price is used for the cost in dollars instead of the default value of 0.02 or the price specified in /etc/printcap.

-r  Reverse the sorting order.

-s  Accounting information is summarized on the summary accounting file; this summarization is necessary since on a busy system, the accounting file can grow by several lines per day.

OUTPUT FORMAT
pac formats the output into a simple table, using four columns:

1.  The host name followed by the user's login name (column "Login"). If the -m option was specified, the host name will be omitted.

2.  The number of pages or feet printed (column "pages/feet").

3.  The number of copies made (column "runs").

4.  The total price for the user (column "price").

If no user argument was specified, pac will print a summary line with print totals.

FILES
/var/account/?acct
    raw accounting files
/var/account/?_sum
    summary accounting files
/etc/printcap
    printer capability database

SEE ALSO
printcap(5)

HISTORY
The pac command appeared in 4.0BSD.

BUGS
The relationship between the computed price and reality is as yet unknown.